List device conditions
curl --request GET \
--url https://api.example.com/api/v1/device-conditions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/device-conditions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/device-conditions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/device-conditions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/device-conditions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/device-conditions/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/device-conditions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ProvisioningHealthy",
"status": "True",
"source": "ironic",
"condition_of": "operational_status",
"decisive": true,
"observed_at": "2023-11-07T05:31:56Z",
"last_transitioned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "",
"message": ""
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Device Conditions
List device conditions
Upsert (POST) and read (list/retrieve) device conditions.
POST upserts on (device, type) — there is no separate PATCH because the
natural key makes create and update the same operation.
GET
/
api
/
v1
/
device-conditions
/
List device conditions
curl --request GET \
--url https://api.example.com/api/v1/device-conditions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/device-conditions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/device-conditions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/device-conditions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/device-conditions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/device-conditions/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/device-conditions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ProvisioningHealthy",
"status": "True",
"source": "ironic",
"condition_of": "operational_status",
"decisive": true,
"observed_at": "2023-11-07T05:31:56Z",
"last_transitioned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "",
"message": ""
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter by derivation domain.
operational_status- Operational statushealth_status- Health statusnone- None
Available options:
operational_status, health_status, none Multiple values may be separated by commas.
Number of results to return per page.
Required range:
1 <= x <= 500A page number within the paginated result set.
Filter by owning source.
ironic- Ironicslurm- Slurmhealth-status- Health statusgoogle-custody- Google custodynvlink-fabric- NVLink fabricbackend-fabric- Back-end fabric
Available options:
ironic, slurm, health-status, google-custody, nvlink-fabric, backend-fabric Filter by condition status.
True- TrueFalse- FalseUnknown- Unknown
Available options:
True, False, Unknown Filter by condition type.
ProvisioningHealthy- Provisioning healthyMaintenanceClear- Maintenance clearEnrolled- EnrolledInValidationPool- In validation poolInstanceAllocated- Instance allocatedCustomerAllocated- Customer allocatedCustomerReady- Customer readySlurmMember- Slurm memberSlurmSchedulable- Slurm schedulableTelemetryHealthy- Telemetry healthySystemHealthy- System healthyChassisHealthy- Chassis healthyProcessorHealthy- Processor healthyMemoryHealthy- Memory healthyStorageHealthy- Storage healthyDiskHealthy- Disk healthyPowerSupplyHealthy- Power supply healthyGpuHealthy- GPU healthyFpgaHealthy- FPGA healthyCustodyIntent- Custody intentFrontendPortsInCustomerVrf- Front-end ports in customer VRFNvLinkGpusInRepairPartition- GPUs in NVLink repair partitionBackendPortsInMaintenanceVrf- Back-end ports in maintenance VRF
Available options:
ProvisioningHealthy, MaintenanceClear, Enrolled, InValidationPool, InstanceAllocated, CustomerAllocated, CustomerReady, SlurmMember, SlurmSchedulable, TelemetryHealthy, SystemHealthy, ChassisHealthy, ProcessorHealthy, MemoryHealthy, StorageHealthy, DiskHealthy, PowerSupplyHealthy, GpuHealthy, FpgaHealthy, CustodyIntent, FrontendPortsInCustomerVrf, NvLinkGpusInRepairPartition, BackendPortsInMaintenanceVrf